package com.qmth.teachcloud.common.bean.tiku;

import java.util.List;

/**
 * 课程知识点
 */
public class TikuCourseProperty {

    private Long id;
    private Long parentId;
    private String name;
    private String code;
    private String number;
    private List<TikuCourseProperty> propertyList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public List<TikuCourseProperty> getPropertyList() {
        return propertyList;
    }

    public void setPropertyList(List<TikuCourseProperty> propertyList) {
        this.propertyList = propertyList;
    }
}
